use crate::protocol::{CborRequest, CborResponse};

pub trait CtapTransport {
    type Error;

    fn cbor<'a>(&mut self, command: &CborRequest<'a>) -> Result<CborResponse, Self::Error>;
}

pub enum CtapCommand {}
